// $Id: LOCA_Hopf_MinimallyAugmented_FiniteDifferenceGroup.C,v 1.1 2007/02/12 23:11:50 etphipp Exp $
// $Source: /space/CVS/Trilinos/packages/nox/src-loca/src/LOCA_Hopf_MinimallyAugmented_FiniteDifferenceGroup.C,v $

//@HEADER
// ************************************************************************
// 
//            NOX: An Object-Oriented Nonlinear Solver Package
//                 Copyright (2002) Sandia Corporation
// 
//            LOCA: Library of Continuation Algorithms Package
//                 Copyright (2005) Sandia Corporation
// 
// Under terms of Contract DE-AC04-94AL85000, there is a non-exclusive
// license for use of this work by or on behalf of the U.S. Government.
// 
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as
// published by the Free Software Foundation; either version 2.1 of the
// License, or (at your option) any later version.
//  
// This library is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA
// 
// Questions? Contact Roger Pawlowski (rppawlo@sandia.gov) or 
// Eric Phipps (etphipp@sandia.gov), Sandia National Laboratories.
// ************************************************************************
//  CVS Information
//  $Source: /space/CVS/Trilinos/packages/nox/src-loca/src/LOCA_Hopf_MinimallyAugmented_FiniteDifferenceGroup.C,v $
//  $Author: etphipp $
//  $Date: 2007/02/12 23:11:50 $
//  $Revision: 1.1 $
// ************************************************************************
//@HEADER

#include "LOCA_Hopf_MinimallyAugmented_FiniteDifferenceGroup.H"

LOCA::Hopf::MinimallyAugmented::FiniteDifferenceGroup::
FiniteDifferenceGroup()
{
}

LOCA::Hopf::MinimallyAugmented::FiniteDifferenceGroup::
FiniteDifferenceGroup(
  const LOCA::Hopf::MinimallyAugmented::FiniteDifferenceGroup& source, 
  NOX::CopyType type)
  :  LOCA::MultiContinuation::FiniteDifferenceGroup(source, type),
     LOCA::Hopf::MooreSpence::FiniteDifferenceGroup(source, type)
{
}


LOCA::Hopf::MinimallyAugmented::FiniteDifferenceGroup::
~FiniteDifferenceGroup() 
{
}

NOX::Abstract::Group::ReturnType
LOCA::Hopf::MinimallyAugmented::FiniteDifferenceGroup::
computeDwtCeDp(const vector<int>& paramIDs, 
	       const NOX::Abstract::Vector& w1,
	       const NOX::Abstract::Vector& w2,
	       const NOX::Abstract::Vector& y,
	       const NOX::Abstract::Vector& z,
	       double omega,
	       NOX::Abstract::MultiVector::DenseMatrix& result_real,
	       NOX::Abstract::MultiVector::DenseMatrix& result_imag,
	       bool isValid)
{
  return LOCA::MultiContinuation::FiniteDifferenceGroup::derivPtr->
    computeDwtCeDp(*this, paramIDs, w1, w2, y, z, omega,
		   result_real, result_imag, isValid);
}

NOX::Abstract::Group::ReturnType
LOCA::Hopf::MinimallyAugmented::FiniteDifferenceGroup::
computeDwtCeDx(const NOX::Abstract::Vector& w1,
	       const NOX::Abstract::Vector& w2,
	       const NOX::Abstract::Vector& y,
	       const NOX::Abstract::Vector& z,
	       double omega,
	       NOX::Abstract::Vector& result_real,
	       NOX::Abstract::Vector& result_imag)
{
  return LOCA::MultiContinuation::FiniteDifferenceGroup::derivPtr->
    computeDwtCeDx(*this, w1, w2, y, z, omega, result_real, result_imag);
}
