// $Id: LOCA_TurningPoint_MooreSpence_FiniteDifferenceGroup.C,v 1.7 2008/07/22 23:29:57 etphipp Exp $
// $Source: /space/CVS/Trilinos/packages/nox/src-loca/src/LOCA_TurningPoint_MooreSpence_FiniteDifferenceGroup.C,v $

//@HEADER
// ************************************************************************
// 
//            NOX: An Object-Oriented Nonlinear Solver Package
//                 Copyright (2002) Sandia Corporation
// 
//            LOCA: Library of Continuation Algorithms Package
//                 Copyright (2005) Sandia Corporation
// 
// Under terms of Contract DE-AC04-94AL85000, there is a non-exclusive
// license for use of this work by or on behalf of the U.S. Government.
// 
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as
// published by the Free Software Foundation; either version 2.1 of the
// License, or (at your option) any later version.
//  
// This library is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA
// 
// Questions? Contact Roger Pawlowski (rppawlo@sandia.gov) or 
// Eric Phipps (etphipp@sandia.gov), Sandia National Laboratories.
// ************************************************************************
//  CVS Information
//  $Source: /space/CVS/Trilinos/packages/nox/src-loca/src/LOCA_TurningPoint_MooreSpence_FiniteDifferenceGroup.C,v $
//  $Author: etphipp $
//  $Date: 2008/07/22 23:29:57 $
//  $Revision: 1.7 $
// ************************************************************************
//@HEADER

#include "LOCA_TurningPoint_MooreSpence_FiniteDifferenceGroup.H"

LOCA::TurningPoint::MooreSpence::FiniteDifferenceGroup::FiniteDifferenceGroup()
{
}

LOCA::TurningPoint::MooreSpence::FiniteDifferenceGroup::FiniteDifferenceGroup(
         const LOCA::TurningPoint::MooreSpence::FiniteDifferenceGroup& source, 
	 NOX::CopyType type)
  : LOCA::MultiContinuation::FiniteDifferenceGroup(source, type)
{
}


LOCA::TurningPoint::MooreSpence::FiniteDifferenceGroup::~FiniteDifferenceGroup() 
{
}

NOX::Abstract::Group::ReturnType
LOCA::TurningPoint::MooreSpence::FiniteDifferenceGroup::computeDJnDpMulti(
				      const vector<int>& paramIDs, 
				      const NOX::Abstract::Vector& nullVector,
				      NOX::Abstract::MultiVector& result,
				      bool isValid)
{
  return LOCA::MultiContinuation::FiniteDifferenceGroup::derivPtr->
    computeDJnDp(*this, paramIDs, nullVector, result, isValid);
}

NOX::Abstract::Group::ReturnType
LOCA::TurningPoint::MooreSpence::FiniteDifferenceGroup::computeDJnDxaMulti(
			       const NOX::Abstract::Vector& nullVector,
			       const NOX::Abstract::MultiVector& aVector,
			       NOX::Abstract::MultiVector& result)
{
  return LOCA::MultiContinuation::FiniteDifferenceGroup::derivPtr->
    computeDJnDxa(*this, nullVector, aVector, result);
}

NOX::Abstract::Group::ReturnType
LOCA::TurningPoint::MooreSpence::FiniteDifferenceGroup::computeDJnDxaMulti(
			       const NOX::Abstract::Vector& nullVector,
			       const NOX::Abstract::Vector& JnVector,
			       const NOX::Abstract::MultiVector& aVector,
			       NOX::Abstract::MultiVector& result)
{
  return LOCA::MultiContinuation::FiniteDifferenceGroup::derivPtr->
    computeDJnDxa(*this, nullVector, aVector, JnVector, result);
}

NOX::Abstract::Group::ReturnType
LOCA::TurningPoint::MooreSpence::FiniteDifferenceGroup::computeDwtJnDxMulti(
				       const NOX::Abstract::MultiVector& w,
				       const NOX::Abstract::Vector& nullVector,
				       NOX::Abstract::MultiVector& result)
{
  return LOCA::MultiContinuation::FiniteDifferenceGroup::derivPtr->
    computeDwtJnDx(*this, w, nullVector, result);
}
